Bug 152703 - [patch] net/asterisk add reload cmd to rc-script and correct path to pidfile
Summary: [patch] net/asterisk add reload cmd to rc-script and correct path to pidfile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-30 14:10 UTC by Alexander Brovikov
Modified: 2011-01-04 14:23 UTC (History)
0 users

See Also:


Attachments
file.diff (1.00 KB, patch)
2010-11-30 14:10 UTC, Alexander Brovikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Brovikov 2010-11-30 14:10:10 UTC
I suggest patch for net/asterisk rc.d script that:
- adds 'reload' command;
- corrects default path to pidfile (otherwise 'status' cmd don't work);
- renames 'asterisk_shutdown' to 'asterisk_stop';
- does some clean-up.

Is 'sleep 1' & 'return 0' lines in 'asterisk_stop' really needed?

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-11-30 14:10:13 UTC
Maintainer of net/asterisk,

Please note that PR ports/152703 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/152703

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-11-30 14:10:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Florian Smeets freebsd_committer 2011-01-02 12:58:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

I'll take care of it
Comment 4 dfilter service freebsd_committer 2011-01-04 14:17:08 UTC
flo         2011-01-04 14:17:02 UTC

  FreeBSD ports repository

  Modified files:
    net/asterisk/files   asterisk.sh.in 
  Log:
  - add reload target
  - general cleanup
  - fix pidfile path
  - add $FreeBSD$ IDs
  
  PR:             ports/152703
  Submitted by:   Alexander Brovikov <alexander@brovikov.ru>
  Reviewed by:    dougb
  Approved by:    jadawin (mentor)
  
  Revision  Changes    Path
  1.11      +20 -11    ports/net/asterisk/files/asterisk.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2011-01-04 14:19:57 UTC
flo         2011-01-04 14:19:53 UTC

  FreeBSD ports repository

  Modified files:
    net/asterisk16/files asterisk.sh.in 
  Log:
  - add reload target
  - general cleanup
  - add $FreeBSD$ IDs
  
  PR:             ports/152703
  Submitted by:   Alexander Brovikov <alexander@brovikov.ru>
  Reviewed by:    dougb
  Approved by:    jadawin (mentor)
  
  Revision  Changes    Path
  1.12      +20 -11    ports/net/asterisk16/files/asterisk.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Florian Smeets freebsd_committer 2011-01-04 14:21:28 UTC
State Changed
From-To: feedback->closed

Commited. Thanks!